<?php

class News extends CActiveRecord
{
	/**
	 * The followings are the available columns in table 'tbl_news':
	 * @var integer $n_id
	 * @var string $n_title
	 * @var string $n_content
	 * @var string $n_short_url
	 */
	public $n_clicks;

	/**
	 * Returns the static model of the specified AR class.
	 * @return News the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'tbl_news';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('n_title, n_content', 'required'),
			array('n_short_url', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('n_id, n_title, n_content, n_short_url', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'n_id' => 'N',
			'n_title' => 'N Title',
			'n_content' => 'N Content',
			'n_short_url' => 'N Short Url',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('n_id',$this->n_id);

		$criteria->compare('n_title',$this->n_title,true);

		$criteria->compare('n_content',$this->n_content,true);

		$criteria->compare('n_short_url',$this->n_short_url,true);

		return new CActiveDataProvider('News', array(
			'criteria'=>$criteria,
		));
	}
}